<a href="https://www.telerik.com/kendo-vue-ui/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-editor&utm_content=banner" target="_blank">
<img src="https://www.telerik.com/kendo-vue-ui/npm-banner.svg" alt="Kendo UI for Vue NPM Banner">
</a>

# Kendo UI for Vue WYSIWYG Editor Package

> **Important**
> * This package is а part of [Kendo UI for Vue](https://www.telerik.com/kendo-vue-ui/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-editor)&mdash;a commercial UI library.
> * You will need to install a license key when adding the package to your project. For more information, please refer to the [Kendo UI for Vue My License page](https://www.telerik.com/kendo-vue-ui/my-license/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-editor).
> * To receive a license key, you need to either [purchase a license](https://www.telerik.com/purchase/kendo-ui/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-editor) or register for a [free trial](https://www.telerik.com/download-login-v2-kendo-vue-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-editor). Doing so indicates that you [accept the Kendo UI for Vue License Agreement](https://www.telerik.com/purchase/license-agreement/progress-kendovue?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-editor).
> * The 30-day free trial gives you access to all the Kendo UI for Vue components and their full functionality. Additionally, for the period of your license, you get access to our legendary technical support provided directly by the Kendo UI for Vue dev team!
>
> [Start using Kendo UI for Vue](https://www.telerik.com/download-login-v2-kendo-vue-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-editor) and speed up your development process!

[The Kendo UI for Vue Editor](https://www.telerik.com/kendo-vue-ui/components/editor/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-editor) enables users to create rich textual content through a What-You-See-Is-What-You-Get (WYSIWYG) interface and delivers a set of tools for creating, editing, and formatting of text, paragraphs, lists, and other HTML elements.

## Vue Editor Component

> Starting with **version 6.0.0**, Kendo UI for Vue Native components no longer support Vue 2. Please check our [Vue 2 End of Support article](https://www.telerik.com/kendo-vue-ui/components/vue2-deprecation/) for more details.

Among the features which the Kendo UI for Vue Editor component delivers are:

* [Ready-to-use, customizable toolset](https://www.telerik.com/kendo-vue-ui/components/editor/tools/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-editor)&mdash;The Editor provides a rich set of built-in, user-interface tools. It also enables you to customize each one of them and/or add custom ones.
* [Custom rendering](https://www.telerik.com/kendo-vue-ui/components/editor/custom-rendering/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-editor)&mdash;The Editor provides options for customizing the way it renders its elements—for example, HTML wrapper element, tools, and dialogs.
* [Get and/or set HTML content](https://www.telerik.com/kendo-vue-ui/components/editor/content/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-editor)&mdash;You can programmatically get the HTML content of the Editor and/or set an updated version back.
* [Sanitizing pasted HTML content](https://www.telerik.com/kendo-vue-ui/components/editor/paste/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-editor)&mdash;A set of built-in functions look after sanitizing the content which the user pastes in the content area of the editor.
* [Plugins](https://www.telerik.com/kendo-vue-ui/components/editor/plugins/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-editor)&mdash;Various ways to extend and customize the functionality and features of the editor by using different plugins.
* [Modifying the schema](https://www.telerik.com/kendo-vue-ui/components/editor/schema/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-editor)&mdash;By modifying the default, built-in schema, you can add additional types of nodes and marks as well as edit and remove the existing ones. This results in more tailored and customizable experience for the users.
* [Globalization](https://www.telerik.com/kendo-vue-ui/components/editor/globalization/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-editor)&mdash;By using the available globalization options in Kendo UI for Vue, you can translate the Editor messages by adapting them to specific culture locales.
* [Theme support](https://www.telerik.com/kendo-vue-ui/components/styling/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-editor)&mdash;The Kendo UI for Vue Editor, as well as all 100+ components in the Kendo UI for Vue suite, are styled in four polished themes (Bootstrap, Material, Default and Fluent) and can be further customized to match your specific design guidelines.

## Support Options

For any issues you might encounter while working with the Kendo UI for Vue Editor, use any of the available support channels:

* Industry-leading technical support&mdash;Kendo UI for Vue paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use [the dedicated Kendo UI for Vue support system](https://www.telerik.com/account/support-tickets?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-editor).
* Product forums&mdash;The [Kendo UI for Vue forums](https://www.telerik.com/forums/kendo-ui-vue?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-editor) are part of the free support you can get from the community and from the Kendo UI for Vue team.
* Feedback portal&mdash;The [Kendo UI for Vue feedback portal](https://feedback.telerik.com/kendo-vue-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-editor) is where you can request and vote for new features to be added.

## Resources

* [Getting Started with Kendo UI for Vue](https://www.telerik.com/kendo-vue-ui/getting-started/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-editor)
* [Get Started with the Kendo UI for Vue Editor](https://www.telerik.com/kendo-vue-ui/components/editor/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-editor)
* [API Reference of the Kendo UI for Vue Editor](https://www.telerik.com/kendo-vue-ui/components/editor/api/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-editor)
* [Kendo UI for Vue Roadmap](https://www.telerik.com/support/whats-new/kendo-vue-ui/roadmap/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-editor)
* [Blogs](https://www.telerik.com/blogs/tag/kendo?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-editor)
* [Demos, documentation, and component reference](https://www.telerik.com/kendo-vue-ui/components/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-editor)
* [Kendo UI for Vue pricing and licensing](https://www.telerik.com/kendo-ui/pricing/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-editor)

*Copyright © 2025 Progress Software Corporation and/or its subsidiaries or affiliates. All Rights Reserved.*

*Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries.*
