/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const o=require("vue"),n=require("@progress/kendo-vue-buttons"),d=require("../dialogs/FindReplace.js"),c=require("../messages/main.js"),u=require("../config/toolsSettings.js"),p=require("@progress/kendo-vue-intl"),i=u.EditorToolsSettings.findAndReplace,h=o.defineComponent({name:"KendoFindAndReplace",props:{view:Object,...n.Button.props},inject:{kendoLocalizationService:{default:null}},data(){return{showDialog:!1}},render(){const{view:e,...s}=this.$props,l=p.provideLocalizationService(this),t=i.messages.findReplaceToolTitle,r={...s,key:"tool",disabled:!e,title:l.toLanguageString(t,c.messages[t]),...i.props},a=o.h(n.Button,{onClick:this.onOpen,onMousedown:this.preventDefault,onPointerdown:this.preventDefault,...r});return o.createVNode("span",null,[a,this.showDialog&&e&&o.createVNode(d.FindAndReplaceDialog,{view:e,onClose:this.onClose,dir:this.$props.dir,key:"dialog"},null)])},methods:{onClose(){this.showDialog=!1},onOpen(){this.showDialog=!0},preventDefault(e){e.preventDefault()}}});exports.FindAndReplace=h;
