/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const o=require("vue"),d=require("@progress/kendo-editor-common"),a=require("@progress/kendo-vue-buttons"),c=require("../dialogs/insertImage.js"),p=require("@progress/kendo-vue-intl"),m=require("../messages/main.js"),I=o.defineComponent({name:"KendoInsertImage",props:{view:Object,settings:{type:Object,default:function(){return{messages:{}}}},dir:String,...a.Button.props},inject:{kendoLocalizationService:{default:null}},data(){return{openedDialog:!1}},render(){const{view:e,settings:t,...l}=this.$props,n=e&&e.state,s=n?n.schema.nodes[t.node]:void 0,g=p.provideLocalizationService(this),{insertImage:i}=t.messages,r={...l,key:"insertImage",disabled:!s||!n||!d.canInsert(n,s),title:g.toLanguageString(i,m.messages[i]),...t.props},u=[o.h(a.Button,{onClick:this.toggleDialog,onMousedown:this.preventDefault,onPointerdown:this.preventDefault,...r}),this.openedDialog&&e&&o.createVNode(c.InsertImageDialog,{key:"insertImageDialog",view:e,settings:t,dir:r.dir,onClose:this.toggleDialog},null)||null];return o.createVNode("span",null,[u])},methods:{toggleDialog(){this.openedDialog=!this.openedDialog},preventDefault(e){e.preventDefault()}}});exports.InsertImage=I;
